# Callback writer

CallbackWriter class instance passes the contents of the compiled MIB files to a user object.

class pysmi.writer.callback.CallbackWriter(cbFun, cbCtx=None)

  Invokes user-specified callable and passes transformed MIB module to it.

  Note: user callable object signature must be as follows

  cbFun(mibname, contents, cbCtx)

  Creates an instance of CallbackWriter class.

  Parameters:

    cbFun (callable) – user-supplied callable

  Keyword Arguments:

    cbCtx – user-supplied object passed intact to user callback